
Foreman - Bug #22348

redux-form v7.2.1 causing test errors 

01/21/2018 12:57 PM - Avi Sharvit

Status: Closed   

Priority: High   

Assignee: Avi Sharvit   

Category: Web Interface   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5192,

https://github.com/theforeman/foreman/p

ull/5196

  

Description

An issue opened in redux-form:

https://github.com/erikras/redux-form/issues/3771

The failed test:

https://github.com/theforeman/foreman/blob/develop/webpack/assets/javascripts/react_app/components/bookmarks/form/form.test.js

#L35

No errors when running the app.

Travis will continue to fail until we will fix this issue.

Can be solved temporarily by pining the redux-form version to 7.2.0

Associated revisions

Revision e67b5aae - 01/21/2018 03:27 PM - Avi Sharvit

Fixes #22348 - pin redux-form to v2.7.0

History

#1 - 01/21/2018 01:09 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5192 added

#2 - 01/21/2018 03:27 PM - Ohad Levy

- translation missing: en.field_release set to 330

#3 - 01/21/2018 04:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e67b5aae098daf23f54ee8dc8dbac2755d85b546.

#4 - 01/22/2018 08:41 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5196 added
